Index: binaries/data/mods/public/gui/summary/summary.js
===================================================================
--- binaries/data/mods/public/gui/summary/summary.js	(revision 16142)
+++ binaries/data/mods/public/gui/summary/summary.js	(working copy)
@@ -529,297 +159,43 @@
 	}
 
 	Engine.GetGUIObjectByName("mapName").caption = sprintf(translate("%(mapName)s - %(mapType)s"), { mapName: translate(data.mapSettings.Name), mapType: mapDisplayType});
-	
+
 	// Panels
-	// Align headers
-	var left = 50;
-	for each (var panel in panels)	// for all panels
-		alignHeaders(panel.headings);
+	g_maxPlayers = data.playerStates.length - 1;
 
-	// TODO set maxPlayers as playerCounters.length
-	var maxPlayers = data.playerStates.length - 1;
-	var maxTeams = 0;
-
-	var teams = [ ];
 	if (data.mapSettings.LockTeams)	// teams ARE locked
 	{
 		// count teams
-		for(var t = 0; t < maxPlayers; ++t)
+		for(var t = 0; t < g_maxPlayers; ++t)
 		{
-			if (!teams[data.playerStates[t+1].team])
+			if (!g_teams[data.playerStates[t+1].team])
 			{
-				teams[data.playerStates[t+1].team] = 1;
+				g_teams[data.playerStates[t+1].team] = 1;
 				continue;
 			}
-			teams[data.playerStates[t+1].team]++;
+			g_teams[data.playerStates[t+1].team]++;
 		}
-		
-		if (teams.length == maxPlayers)
-			teams = false;	// Each player has his own team. Displaying teams makes no sense.
+
+		if (g_teams.length == g_maxPlayers)
+			g_teams = false;	// Each player has his own team. Displaying teams makes no sense.
 	}
 	else				// teams are NOT locked
-		teams = false;
-	
+		g_teams = false;
+
 	// Erase teams data if teams are not displayed
-	if (!teams)
+	if (!g_teams)
 	{
-		for(var p = 0; p < maxPlayers; ++p)
+		for(var p = 0; p < g_maxPlayers; ++p)
 			data.playerStates[p+1].team = -1;
 	}
-	
-	// Count players without team	(or all if teams are not displayed)
-	var withoutTeam = maxPlayers;
-	if (teams)
+
+	g_withoutTeam = g_maxPlayers;
+	if (g_teams)
 	{
 		// count players without team	(or all if teams are not displayed)
-		for (var i = 0; i < teams.length; ++i)
-			withoutTeam -= teams[i];
-		
-		// Display teams boxes
-		var p = 0;
-		for each (var panel in panels)
-		{
-			var yStart = TEAMS_BOX_Y_START + withoutTeam * (PLAYER_BOX_Y_SIZE + PLAYER_BOX_GAP);
-			for (var i = 0; i < teams.length; ++i)
-			{
-				var teamBox = Engine.GetGUIObjectByName("teamBox"+p+"t"+i);
-				teamBox.hidden = false;
-				var teamBoxSize = teamBox.size;
-				teamBoxSize.top = yStart;
-				teamBox.size = teamBoxSize;
-				
-				yStart += 30 + teams[i] * (PLAYER_BOX_Y_SIZE + PLAYER_BOX_GAP) + 32;
-				
-				Engine.GetGUIObjectByName("teamNameHeading"+p+"t"+i).caption = "Team "+(i+1);
-				
-				// Make place to store team scores
-				for each (var counter in panel.counters)
-				{
-					counter.teamsScores[i] = 0;
-					counter.teamsScoresCaption[i] = "0";
-				}
-			}
-			
-			// If there are no players without team, hide "player name" heading
-			if (!withoutTeam)
-				Engine.GetGUIObjectByName("playerName"+p+"Heading").caption = "";	
-			
-			p++;
-		}
+		for (var i = 0; i < g_teams.length; ++i)
+			g_withoutTeam -= g_teams[i];
 	}
-	
-	if (withoutTeam)
-	{
-		// Show boxes for no teams
-		for (var b = 0; b < PANELS_COUNT; ++b)
-			Engine.GetGUIObjectByName("noTeamsBox"+b).hidden = false;
-	}
 
-	var playerBoxesCounts = [ ];
-	for (var i = 0; i < maxPlayers; ++i)
-	{
-		var tn = "";
-		var playerState = data.playerStates[i+1];
-		
-		if (!playerBoxesCounts[playerState.team+1])
-			playerBoxesCounts[playerState.team+1] = 1;
-		else
-			playerBoxesCounts[playerState.team+1] += 1;
-
-		if (playerState.team != -1)
-			tn = "t"+playerState.team+"p";
-
-		var j = 0;
-		for each (var panel in panels)
-		{
-			var playerIdentityString = tn+"["+(playerBoxesCounts[playerState.team+1]-1)+"]";
-			// Display boxes for players
-			var playerBox = Engine.GetGUIObjectByName("playerBox"+j+playerIdentityString); 
-			playerBox.hidden = false;
-			
-			var boxSize = playerBox.size;
-			boxSize.top += (playerBoxesCounts[playerState.team+1] - 1) * (PLAYER_BOX_Y_SIZE + PLAYER_BOX_GAP);
-			boxSize.bottom = boxSize.top + PLAYER_BOX_Y_SIZE;
-			playerBox.size = boxSize;
-			
-			var colourString = "colour: "
-				+ Math.floor(playerState.colour.r * 255) + " "
-				+ Math.floor(playerState.colour.g * 255) + " "
-				+ Math.floor(playerState.colour.b * 255);
-			
-			playerBox.sprite = colourString + PLAYER_BOX_ALPHA;
-			
-			var playerColourBox = Engine.GetGUIObjectByName("playerColourBox"+j+playerIdentityString);
-			playerColourBox.sprite = colourString + PLAYER_COLOUR_BOX_ALPHA;
-			
-			// Show the multiplayer name, e.g. "Foobar" rather than "Player 1".
-			// TODO: Perhaps show both the multiplayer and map-specific name?
-			var playerName = Engine.GetGUIObjectByName("playerName"+j+playerIdentityString);
-			playerName.caption = data.players[i+1].name;
-
-			var civIcon = Engine.GetGUIObjectByName("civIcon"+j+playerIdentityString);
-			civIcon.sprite = "stretched:"+civData[playerState.civ].Emblem;
-			civIcon.tooltip = civData[playerState.civ].Name;
-			
-			// Get counters
-			for (var c in panel.counters)
-			{
-				panel.counters[c].objects[i] = Engine.GetGUIObjectByName(c+playerIdentityString);
-			}
-			
-			// Align counters
-			var right = alignCounters(panel.counters, i);
-			boxSize.right = right;
-			playerBox.size = boxSize;
-			
-			j++;
-		}
-		
-		// Assign counters
-		// score panel
-		panels.score.counters.economyScore.objects[i].caption = captionEconomyScore();
-		panels.score.counters.militaryScore.objects[i].caption = Math.round((playerState.statistics.enemyUnitsKilledValue +
-			playerState.statistics.enemyBuildingsDestroyedValue) / 10);
-		panels.score.counters.explorationScore.objects[i].caption = playerState.statistics.percentMapExplored * 10;
-		panels.score.counters.totalScore.objects[i].caption = (+panels.score.counters.economyScore.objects[i].caption) +
-			(+panels.score.counters.militaryScore.objects[i].caption) +
-			(+panels.score.counters.explorationScore.objects[i].caption);
-		// buildings panel
-		var t = 0;
-		for each (var counter in panels.buildings.counters)
-		{
-			captionBuildings(counter.objects[i], BUILDINGS_TYPES[t]);
-			t++;
-		}
-		// units panel
-		t = 0;
-		for each (var counter in panels.units.counters)
-		{
-			captionUnits(counter.objects[i], UNITS_TYPES[t]);
-			t++;
-		}
-		// resources panel
-		t = 0;
-		for each (var counter in panels.resources.counters)
-		{
-			if (t >= 4)	// only 4 first counters
-				break;
-			
-			captionResourcesGathered(counter.objects[i], RESOURCES_TYPES[t]);
-			t++;
-		}
-		panels.resources.counters.totalGathered.objects[i].caption = captionTotalResourcesGathered();
-		panels.resources.counters.treasuresCollected.objects[i].caption = playerState.statistics.treasuresCollected;
-		panels.resources.counters.resourcesTributed.objects[i].caption = captionResourcesTributed();
-		// market panel
-		t = 0;
-		for (var c in panels.market.counters)
-		{
-			if (t >= 4)	// only 4 first counters
-				break;
-			
-			captionResourcesExchanged(panels.market.counters[c].objects[i], RESOURCES_TYPES[t]);
-			t++;
-		}
-		panels.market.counters.barterEfficiency.objects[i].caption = captionBarterEfficiency();
-		panels.market.counters.tradeIncome.objects[i].caption = playerState.statistics.tradeIncome;
-		// miscelanous panel
-		panels.miscelanous.counters.vegetarianRatio.objects[i].caption = captionVegetarianRatio();
-		panels.miscelanous.counters.feminisation.objects[i].caption = captionFeminisation();
-		panels.miscelanous.counters.killDeathRatio.objects[i].caption = captionKillDeathRatio();
-		panels.miscelanous.counters.mapExploration.objects[i].caption = playerState.statistics.percentMapExplored + "%";
-		
-		if (!teams)
-			continue;
-		
-		if (playerState.team == -1)
-			continue;
-		
-		// Evaluate team total score
-		// score panel
-		for (var c in panels.score.counters)
-		{
-			panels.score.counters[c].teamsScores[playerState.team] += (+panels.score.counters[c].objects[i].caption);
-			panels.score.counters[c].teamsScoresCaption[playerState.team] = panels.score.counters[c].teamsScores[playerState.team];
-		}
-		// buildings panel
-		var t = 0;
-		for each (var counter in panels.buildings.counters)
-		{
-			sumTeamBuildings(counter, BUILDINGS_TYPES[t]);
-			t++;
-		}
-		// units panel
-		t = 0;
-		for each (var counter in panels.units.counters)
-		{
-			sumTeamUnits(counter, UNITS_TYPES[t]);
-			t++;
-		}
-		// resources panel
-		t = 0;
-		for each (var counter in panels.resources.counters)
-		{
-			if (t >= 4)	// only 4 first counters
-				break;
-			
-			sumResourcesGathered(counter, RESOURCES_TYPES[t]);
-			t++;
-		}
-		sumTotalResourcesGathered();
-		panels.resources.counters.treasuresCollected.teamsScores[playerState.team] += playerState.statistics.treasuresCollected;
-		panels.resources.counters.treasuresCollected.teamsScoresCaption[playerState.team] = panels.resources.counters.treasuresCollected.teamsScores[playerState.team];
-		sumResourcesTributed();
-		// market panel
-		t = 0;
-		for (var c in panels.market.counters)
-		{
-			if (t >= 4)	// only 4 first counters
-				break;
-			
-			sumResourcesExchanged(panels.market.counters[c], RESOURCES_TYPES[t]);
-			t++;
-		}
-		sumBarterEfficiency();
-		panels.market.counters.tradeIncome.teamsScores[playerState.team] += playerState.statistics.tradeIncome;
-		panels.market.counters.tradeIncome.teamsScoresCaption[playerState.team] = panels.market.counters.tradeIncome.teamsScores[playerState.team];
-		// miscelanous panel
-		sumVegetarianRatio();
-		sumFeminisation();
-		sumKillDeathRatio();
-		panels.miscelanous.counters.mapExploration.teamsScores[playerState.team] = playerState.statistics.teamPercentMapExplored;
-		panels.miscelanous.counters.mapExploration.teamsScoresCaption[playerState.team] = panels.miscelanous.counters.mapExploration.teamsScores[playerState.team] + "%";
-	}
-	
-	if (!teams)
-	{
-		selectPanel(0);
-		return;
-	}
-	
-	// Display teams totals counters
-	for (var i = 0; i < teams.length; ++i)
-	{
-		var pn = 0;
-		for each (var panel in panels)
-		{
-			var teamHeading = Engine.GetGUIObjectByName("teamHeading"+pn+"t"+i);
-			var yStart = 30 + teams[i] * (PLAYER_BOX_Y_SIZE + PLAYER_BOX_GAP) + 2;
-			teamHeading.size = "50 "+yStart+" 100% "+(yStart+20);
-			teamHeading.caption = translate("Team total");
-			
-			var left = 250;
-			for (var c in panel.counters)
-			{
-				var counter = Engine.GetGUIObjectByName(c+"t"+i);
-				counter.size = left + " " + yStart + " " + (left + panel.counters[c].width) + " " + (yStart+20);
-				counter.caption = panel.counters[c].teamsScoresCaption[i];
-				
-				left += panel.counters[c].width;
-			}
-			pn++;
-		}
-	}
-
 	selectPanel(0);
-}
+}
\ No newline at end of file
